Skip to main content
GET
/
api
/
search
Semantic search (GET)
curl --request GET \
  --url https://www.neode.ai/api/search \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "entities": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>",
        "avatar_url": "<string>",
        "index_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "index_name": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "similarity": 123,
        "triple_count": 123
      }
    ],
    "triples": [
      {
        "subject": "<string>",
        "predicate": "<string>",
        "object": "<string>",
        "object_type": "literal",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "confidence": 0.5,
        "source": "<string>",
        "graph_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "index_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "subject_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "object_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "similarity": 123
      }
    ],
    "graphs": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>",
        "index_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "metadata": {},
        "triple_count": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "similarity": 123
      }
    ]
  },
  "count": {
    "entities": 123,
    "triples": 123,
    "graphs": 123
  }
}

Authorizations

Authorization
string
header
required

API key for authentication

Query Parameters

q
string
required

Natural language search query

types
enum<string>[]

Types to search

Type of object to search for

Available options:
entities,
triples,
graphs
index_id
string<uuid>

Filter results to a specific index

offset
integer
default:0

Number of results to skip for pagination

Required range: x >= 0
limit
integer
default:20

Maximum results per type (default 20, max 100)

threshold
number
default:0.3

Minimum similarity score 0-1 (default 0.3)

Response

Search results

Response from semantic search

success
boolean
data
object

Search results data containing entities, triples, and graphs

count
object

Count of search results by type